### Method

# Gtk.SignalAction.get_signal_name

#### Declaration [src]

    const char*
    gtk_signal_action_get_signal_name (
      GtkSignalAction* self
    )

#### Description [src]

Returns the name of the signal that will be emitted.

Gets property | `Gtk.SignalAction:signal-name`

#### Return value

Returns: `const char*`
the name of the signal to emit
Ownership is not transferred to the caller
The string is a NUL terminated UTF-8 string